load("Node_entropy.RData")
library(vioplot)
library(RColorBrewer)

# Set colors
set2_grey <- brewer.pal(8,"Set2")[8]
set2_AM <- brewer.pal(8,"Set2")[5]
set2_ECM <- brewer.pal(8,"Set2")[2]
set2_ERM <- brewer.pal(8,"Set2")[1]
set2_ORM <- brewer.pal(8,"Set2")[6]
set2_NM <- brewer.pal(8,"Set2")[4]
set2_FM <- brewer.pal(8,"Set2")[7]
set2_OM <- brewer.pal(8,"Set2")[3]

# Set dataframes for mycorrhizal type
df_type <- cbind("entrophy"=NE_Type, "Trait" = "Types")
df_AM <- cbind("entrophy"=NE_AM, "Trait" = "AM")
df_ECM <- cbind("entrophy"=NE_ECM, "Trait" = "ECM")
df_ERM <- cbind("entrophy"=NE_ERM, "Trait" = "ERM")
df_ORM <- cbind("entrophy"=NE_ORM, "Trait" = "ORM")
df_NM <- cbind("entrophy"=NE_NM, "Trait" = "NM")

data <- data.frame(rbind(df_type, df_AM, df_ECM, df_ERM, df_ORM, df_NM))
data$entrophy <- as.numeric(data$entrophy)
str(data)

# Plot mycorrhizal type
tiff("Plot3.2.tif", height = 3, width = 5, units = 'in', res=300)
par(mar=c(2,4.2,0.5,1))
vioplot(data$entrophy ~ data$Trait, col = c(set2_AM, set2_ECM,set2_ERM, 
                                            set2_NM, set2_ORM, set2_grey),
        wex=1, areaEqual = T,
        xlab ="", ylab = "Shannon node entrophy", #las = 2,
        cex.lab = 1.5)
dev.off()

# Set dataframes for mycorrhizal status
df_status <- cbind("entrophy"=NE_Status, "Trait" = "Statues")
df_FM <- cbind("entrophy"=NE_FM, "Trait" = "FM")
df_OM <- cbind("entrophy"=NE_OM, "Trait" = "OM")

data2 <- data.frame(rbind(df_status, df_FM, df_OM, df_NM))
data2$entrophy <- as.numeric(data2$entrophy)
str(data2)

# Plot mycorrhizal status
tiff("Plot2.2.tif", height = 3, width = 5, units = 'in', res=300)
par(mar=c(2,4.2,0.5,1))
vioplot(data2$entrophy ~ data2$Trait, col = c(set2_FM, set2_NM, set2_OM, set2_grey),
        wex=0.9, areaEqual = T,
        xlab ="", ylab = "Shannon node entrophy", #las = 2,
        cex.lab = 1.5)
dev.off()
